defmodule Openpod.Boundary.ArchiveReloader do

  @archive_supervisor :archive_supervisor

  def reload() do
    DynamicSupervisor.which_children(@archive_supervisor)
    |> Enum.each(fn {_, pid, _, _} -> Openpod.Boundary.ArchiveServer.reload(pid) end)
  end
end
